;;;; cl-scopes/test/etc/config-web

(in-package :scopes/test-web)

(config:root :env-keys '(:loglevel :address :port))

(config:add :logger  
  :class 'logging:config
  :loglevel (config:from-env :loglevel :debug)
  :logfile (t:test-path "scopes-test.log" "log")
  :console nil)

(config:add :server 
  :class 'server:config
  :port (config:from-env :port "8899")
  :address (config:from-env :address "localhost")
  :routes 
    `((("hx") server:message-handler :html-responder cs-hx:response)
      (() server:fileserver 
          :doc-root ,(t:test-path "" "docs"))))
(config:add-actions
  '((:test :data) core:echo)
  '((:test :cookie) server:set-cookie))

(config:add :client 
  :class 'client:config
  :base-url "http://localhost:8899"
  :doc-path "/" :api-path "/hx/")
