;;;; cl-scopes/web/cookie - interface to cl-cookie for simplified access

(defpackage :scopes/web/cookie
  (:use :common-lisp)
  (:local-nicknames (:c cl-cookie))
  (:export #:create #:create-from-keys #:make-header))

(in-package :scopes/web/cookie)

(defun create (name value &rest args &key &allow-other-keys)
  (apply #'create-from-keys :name name :value value args))

(defun create-from-keys (&key name value domain (same-site :lax)
                              (max-age 86400) (path "/") (httponly-p t)
                              &allow-other-keys)
  (c:make-cookie :name name :value value :domain domain :same-site same-site
                 :max-age max-age :path path :httponly-p httponly-p))

(defun make-header (cookie)
  (c:write-set-cookie-header cookie))
